## org.apache.poi.hslf.record
Class SoundCollection

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordContainer
              org.apache.poi.hslf.record.SoundCollection

    public final class SoundCollection

extends RecordContainer

Is a container for all sound related atoms and containers. It contains:

- 1. SoundCollAtom (2021)
- 2. Sound (2022), for each sound, if any

  Author:
    Yegor Kozlov

  Field Summary

  Fields inherited from class org.apache.poi.hslf.record.RecordContainer
  `_children`

  Fields inherited from class org.apache.poi.hslf.record.Record
  `logger`

  Constructor Summary
  `protected` `SoundCollection(byte[] source, int start, int len)` Set things up, and find our more interesting children

  Method Summary
  `long` `getRecordType()` Returns the type (held as a little endian in bytes 3 and 4) that this class handles.
  `void` `writeOut(java.io.OutputStream out)` Have the contents printer out into an OutputStream, used when writing a file back out to disk.

  Methods inherited from class org.apache.poi.hslf.record.RecordContainer
  `addChildAfter, addChildBefore, appendChildRecord, findFirstOfType, getChildRecords, handleParentAwareRecords, isAnAtom, moveChildBefore, moveChildrenAfter, moveChildrenBefore, removeChild, setChildRecord, writeOut`

  Methods inherited from class org.apache.poi.hslf.record.Record
  `buildRecordAtOffset, createRecordForType, findChildRecords, writeLittleEndian, writeLittleEndian`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Constructor Detail

  ### SoundCollection

      protected SoundCollection(byte[] source,
                                int start,
                                int len)

    Set things up, and find our more interesting children

    Parameters:
      `source` - the source data as a byte array.
      `start` - the start offset into the byte array.
      `len` - the length of the slice in the byte array.

  Method Detail

  ### getRecordType

      public long getRecordType()

    Returns the type (held as a little endian in bytes 3 and 4) that this class handles.

    Specified by:
      `getRecordType` in class `Record`
    Returns:
      the record type.

  ### writeOut

      public void writeOut(java.io.OutputStream out)
                    throws java.io.IOException

    Have the contents printer out into an OutputStream, used when writing a file back out to disk.

    Specified by:
      `writeOut` in class `Record`
    Parameters:
      `out` - the output stream.
    Throws:
      `java.io.IOException` - if there was an error writing to the stream.

  Copyright 2012 The Apache Software Foundation or its licensors, as applicable.